Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer
Class DestroyBlockProgress

    java.lang.Object
      net.minecraft.client.renderer.DestroyBlockProgress

    public class DestroyBlockProgress

extends Object

Constructor Summary
`DestroyBlockProgress(int par1, int par2, int par3, int par4)`

Method Summary
`int` | `getCreationCloudUpdateTick()` retrieves the 'date' at which the PartiallyDestroyedBlock was created
`int` | `getPartialBlockDamage()`
`int` | `getPartialBlockX()`
`int` | `getPartialBlockY()`
`int` | `getPartialBlockZ()`
`void` | `setCloudUpdateTick(int par1)` saves the current Cloud update tick into the PartiallyDestroyedBlock
`void` | `setPartialBlockDamage(int par1)` inserts damage value into this partially destroyed Block.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestroyBlockProgress

    public DestroyBlockProgress(int par1,
                                int par2,
                                int par3,
                                int par4)

Method Detail

### getPartialBlockX

    public int getPartialBlockX()

### getPartialBlockY

    public int getPartialBlockY()

### getPartialBlockZ

    public int getPartialBlockZ()

### setPartialBlockDamage

    public void setPartialBlockDamage(int par1)

  inserts damage value into this partially destroyed Block. -1 causes client renderer to delete it, otherwise ranges from 1 to 10

### getPartialBlockDamage

    public int getPartialBlockDamage()

### setCloudUpdateTick

    public void setCloudUpdateTick(int par1)

  saves the current Cloud update tick into the PartiallyDestroyedBlock

### getCreationCloudUpdateTick

    public int getCreationCloudUpdateTick()

  retrieves the 'date' at which the PartiallyDestroyedBlock was created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD